## GVirNodeDevice

GVirNodeDevice

## Functions

const gchar * | gvir_node_device_get_name ()
GVirConfigNodeDevice * | gvir_node_device_get_config ()

## Properties

GVirNodeDeviceHandle * | handle | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GVirNodeDevice

## Description

## Functions

### gvir_node_device_get_name ()

    const gchar *
    gvir_node_device_get_name (GVirNodeDevice *device);

### gvir_node_device_get_config ()

    GVirConfigNodeDevice *
    gvir_node_device_get_config (GVirNodeDevice *device,
                                 guint flags,
                                 GError **err);

#### Parameters

device | the node_device |
flags | the flags |
err | Place-holder for possible errors |

#### Returns

the config. The returned object should be unreffed with `g_object_unref()` when no longer needed.

[transfer full]

## Property Details

### The `“handle”` property

      “handle”                   GVirNodeDeviceHandle *

The node_device handle.

Owner: GVirNodeDevice

Flags: Read / Write / Construct Only